:root {
    --tercero:#ff5733;
    --secundario:#3498db;
    --blanco:#ffffff;
    --primario:#ffc107;
    --oscuro: #212121;
    --gris: #757575;

}
html{
    font-size: 62.5%;
    box-sizing: border-box;
    scroll-snap-type: y mandatory;
}
*, *:before, *:after {
    box-sizing: inherit;
  }
body{
    font-size: 16px; /* 1 rem= 10px */
    font-family: 'Indie Flower', cursive;
    background-image: linear-gradient(to top, #bec3c4 0%, var(--blanco) 100%);
}

.titulo{
    text-align: center;
    color: var(--oscuro);
    font-size: 3.8rem;
    font-family: 'Rubik Iso', cursive;
}
.titulo span{
    font-size: 2rem;

    color: blueviolet;

    font-family: 'Indie Flower', cursive;
   
}
.sub {
    text-align: center;
color: rgb(244, 245, 241)
;}


.subtitulo{
    text-align: center;
}
.ubi{
    text-align: center;
    color: #ffc107;
}

.contenedor {
    max-width: 120rem;
    margin: 0 auto;

}
.boton{
    background-color: var(--secundario);
    color: var(--blanco);
    padding: 1rem 3rem;
    margin-top: 1rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .5rem;
    width: 90%;
    text-align: center;
    border: none;
}
@media(min-width:768px){
    .boton{
        width: auto;
    }
}
.boton:hover{
    cursor: pointer;
}
.sombra{
    -webkit-box-shadow: -40px -8px 23px 0px rgba(0,0,0,0.75);
-moz-box-shadow: -40px -8px 23px 0px rgba(0,0,0,0.75);
box-shadow: -40px -8px 23px 0px rgba(0,0,0,0.75);
 background-color: var(--blanco);
padding: 2rem;
border-radius: 1rem;
}
.nav-bg{
    background-color: var(--secundario);
}

.navegacion-principal{

    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;

}
@media(min-width: 350px){
    .navegacion-principal{
        flex-direction: row;
        text-align: center;
        justify-content: space-between;
    }

    @media(min-width:480px){

    }

    @media(min-width:1140px){

    }

    @media(min-width:1400px){

    }
.navegacion-principal a {
    display: block;
    color: var(--blanco);
    text-decoration: none;
    text-align: center;
    font-size: 2rem;
    font-weight: 700;
    padding: 1rem;
}

.navegacion-principal a:hover{
    background-color: var(--primario);
color: var(--oscuro)
}

.hero{
    background-image: url(../image/escri.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    height: 450px;
    position: relative;
    margin-bottom: 2rem;
}
.contenido-hero{
    position: absolute;
    background-color: rgba(0, 0, 0, .7);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content:center;
}
@media(min-width:768px) {
    .servicios{
    display: grid;
    grid-template-columns: 33.3% 33.3% 33.3%;
    column-gap: 1rem;
}
}
.servicio{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.servicio p {
    color: var(--oscuro);
    font-style: italic;
}
.servicio .iconos {
    height: 15rem;
    width: 15rem;
    background-color: var(--primario);
    border-radius: 50%;
    display: flex;
    justify-content:space-evenly;
    align-items: center;


}
.formulariom fieldset{
    border: none;

}
.formulario {
    background-color: var(--gris);
    width: min (60rem,100%);/** utiliza el valor mas pequeño**/
    margin: 0 auto;
    padding: 2rem;
    border-radius: 1rem;

}
.formulario legend{
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    color: var(--primario);
    
}
@media(min-width: 768px){

.contenedor-campos{
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: auto auto 20rem;
    column-gap: 1rem;

    }

    

.campo:nth-child(3){
    grid-column: 1 / 3;
    }
}
.campo mens{
    grid-column: 1/3;
    width: 20rem;
}
.campo{

    margin-bottom: 1rem;
}
.campo label{
    color: var(--blanco);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;

}
.campo textarea{
    width: 20rem;

}
.input-text{
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .5rem;
}
.fin{
    text-align: center;
}
}
